org.eclipse.jetty.servlet

## Class ServletMapping

- java.lang.Object
- - org.eclipse.jetty.servlet.ServletMapping

-     public class ServletMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletMapping()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(Appendable out, String indent)`
    `String[]` | `getPathSpecs()`
    `String` | `getServletName()`
    `void` | `setPathSpec(String pathSpec)`
    `void` | `setPathSpecs(String[] pathSpecs)`
    `void` | `setServletName(String servletName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletMapping

          public ServletMapping()

  - ### Method Detail

    - #### getPathSpecs

          public String[] getPathSpecs()

      Returns:
        Returns the pathSpecs.

    - #### getServletName

          public String getServletName()

      Returns:
        Returns the servletName.

    - #### setPathSpecs

          public void setPathSpecs(String[] pathSpecs)

      Parameters:
        `pathSpecs` - The pathSpecs to set.

    - #### setPathSpec

          public void setPathSpec(String pathSpec)

      Parameters:
        `pathSpec` - The pathSpec to set.

    - #### setServletName

          public void setServletName(String servletName)

      Parameters:
        `servletName` - The servletName to set.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### dump

          public void dump(Appendable out,
                  String indent)
                    throws IOException

      Throws:
        `IOException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.